## mx44.2 1.0

=== src/Makefile ===
.SUFFIXES: .c $(SUFFIXES)

TARGET		= mx44

PREFIX		= /usr/local/

DATADIR		= $(PREFIX)share/Mx44/
BINDIR		= $(PREFIX)bin/

DIR		= Mx44.2

CC		= gcc

GTK_CFLAGS = `pkg-config --cflags gtk+-2.0` #-DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED
GTK_LIBS   = `pkg-config --libs gtk+-2.0`

ALSA_CFLAGS = `pkg-config --cflags alsa`
ALSA_LIBS   = `pkg-config --libs alsa`

JACK_CFLAGS = `pkg-config --cflags jack`
JACK_LIBS   = `pkg-config --libs jack`


LIBS		= $(GTK_LIBS) $(ALSA_LIBS) $(JACK_LIBS) -lm 

FLAGS		= -O3 -Wall -pipe -mmmx -fomit-frame-pointer -D_REENTRANT \
		   -DDATADIR=\"$(DATADIR)\" \
		   $(GTK_CFLAGS) $(ALSA_CFLAGS) $(JACK_CFLAGS) 

SRCS            =  interface2.c mx44.c stateio.c cmdline_opts.c main.c
INCLUDE         =  mx44.h

OBJS		= $(SRCS:.c=.o)




$(TARGET):	$(OBJS)
	$(CC) -D_REENTRANT -o $@ $(OBJS) $(LIBS)

.c.o: 
	$(CC) -c $(FLAGS) $<

install: $(TARGET)
	install $(TARGET) $(BINDIR)
	install -d $(DATADIR)
	install -t $(DATADIR) ../data/mx44patch
	install -t $(DATADIR) ../data/gtk-2.0/gtkrc

clean:
	rm -f $(TARGET) $(OBJS) core core.* *.bak *~

depend:
	makedepend  -Y  $(SRCS)  &>/dev/null

edit:
	exec emacs -font 9x15 $(INCLUDE) $(SRCS) Makefile&

etag:
	rm TAGS;etags --members  $(SRCS) $(INCLUDE)    


tar:
	cd ../..; 			\
	rm -f $(DIR).tar.gz ; 		\
	tar -cf $(DIR).tar 		\
		$(DIR)/src/*.c 		\
		$(DIR)/src/*.h 		\
		$(DIR)/README 		\
		$(DIR)/src/Makefile 	\
		$(DIR)/COPYING 		\
		$(DIR)/data/mx44patch 	\
		$(DIR)/data/gtk-2.0/gtkrc ;\
	gzip $(DIR).tar

# DO NOT DELETE

interface2.o: mx44.h mmx.h
mx44.o: mx44.h mmx.h interface2.h cmdline_opts.h
stateio.o: stateio.h mx44.h mmx.h
cmdline_opts.o: cmdline_opts.h
main.o: mx44.h mmx.h interface2.h stateio.h cmdline_opts.h

=== debian/changelog ===
mx44.2 (1.0-0~precise1) precise; urgency=low

  * Initial release

 -- falkTX <falktx@gmail.com>  Tue, 15 May 2012 01:49:53 +0100

=== debian/control ===
Source: mx44.2
Section: sound
Priority: extra
Maintainer: falkTX <falktx@gmail.com>
Build-Depends: debhelper (>= 7),
  libasound2-dev, libjack-dev, libgtk2.0-dev
Standards-Version: 3.8.4

Package: mx44.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: mx44
Replaces: mx44
Description: polyphonic multichannel software synthesizer
 The Mx44 is a polyphonic multichannel midi realtime software synthesizer.
 It is written in C and hand optimized for the (Intel) MMX instruction set.
 .
 The core algorithm is a  4 x 4 crossmodulating matrix (phase and amplitude)
 with individual envelopes for each oscillator.
 Oscillators have individual frequency intonation, can emphasize any of the
 eight first harmonics and even do some internal crossmodulation.
 Envelopes can be switched between VCA and a VCF-like mode.
 The sustainloop of the envelope can be brought into oscillation in the
 audible spectre as well as provide slow LFO sweeps.
 Also, key and velocity modifications of phase relationship.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

override_dh_auto_build:
	$(MAKE) -C src

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/mx44.2/usr/bin/
	$(MAKE) install -C src PREFIX=$(CURDIR)/debian/mx44.2/usr/

override_dh_auto_clean:
	$(MAKE) clean -C src

%:
	dh $@
